# Web Development Playground

This project has two main goals:

1. **Learn web development basics** - Practice HTML, CSS, and vanilla JavaScript with a simple backend that has low dependencies and is easy to run
2. **Build minimal examples** - Create the basic features needed for a hobby browser game project

## Architecture

This repository contains the HTML/CSS/JavaScript frontend and Go backend code. The full setup relies on external components not included in this repo:

- **Caddy webserver** - Serves the HTML/CSS/JS files directly and handles authentication
- **Authelia** - Provides user authentication and session management
- **Reverse proxy** - API requests are forwarded from Caddy to the running Go executable

## Learning Focus

This is a learning project that prioritizes **readability and simplicity** over "best practices" or complex patterns. No massive dependencies or frameworks will be introduced - keeping everything straightforward and easy to understand.

The project includes cheat sheets explaining common patterns used:
- Go patterns commonly found in this codebase (for those less familiar with Go)
- JavaScript patterns may be added if needed
